zenilib: zenilib/jni/external/zlib/minigzip.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
minigzip.c File Reference
`#include "zlib.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Macros

#define | BUFLEN 16384
#define | GZ_SUFFIX ".gz"
#define | local
#define | MAX_NAME_LEN 1024
#define | SET_BINARY_MODE(file)
#define | SUFFIX_LEN (sizeof(GZ_SUFFIX)-1)

## Functions

void | error (char *msg) const
void | file_compress (char *file, char *mode)
void | file_uncompress (char *file)
void | gz_compress (FILE *in, gzFile out)
void | gz_uncompress (gzFile in, FILE *out)
int | main (int argc, argv)
int unlink | OF ((const char *))
void error | OF ((const char *msg))
void gz_compress | OF ((FILE *in, gzFile out))
void gz_uncompress | OF ((gzFile in, FILE *out))
void file_compress | OF ((char *file, char *mode))
void file_uncompress | OF ((char *file))
int main | OF ((int argc, char *argv[]))

## Variables

char * | prog

## Macro Definition Documentation

#define BUFLEN 16384

Definition at line 131 of file minigzip.c.

Referenced by gz_compress(), and gz_uncompress().

#define GZ_SUFFIX ".gz"

Definition at line 127 of file minigzip.c.

Referenced by file_compress(), and file_uncompress().

#define local

Definition at line 138 of file minigzip.c.

Referenced by file_compress(), file_uncompress(), gz_compress(), and gz_uncompress().

#define MAX_NAME_LEN 1024

Definition at line 132 of file minigzip.c.

Referenced by file_compress(), and file_uncompress().

#define SET_BINARY_MODE | ( |  | file | ) |

Definition at line 40 of file minigzip.c.

Referenced by main().

#define SUFFIX_LEN (sizeof(GZ_SUFFIX)-1)

Definition at line 129 of file minigzip.c.

Referenced by file_uncompress().

## Function Documentation

void error | ( | char * | msg | ) | const

Definition at line 156 of file minigzip.c.

void file_compress | ( | char * | file,
|  | char * | mode
| ) |  |

Definition at line 262 of file minigzip.c.

References gz_compress(), GZ_SUFFIX, gzopen(), local, MAX_NAME_LEN, and NULL.

Referenced by main().

void file_uncompress | ( | char * | file | ) |

Definition at line 297 of file minigzip.c.

References file, GZ_SUFFIX, gz_uncompress(), gzopen(), local, MAX_NAME_LEN, NULL, and SUFFIX_LEN.

Referenced by main().

void gz_compress | ( | FILE * | in,
|  | gzFile | out
| ) |  |

Definition at line 167 of file minigzip.c.

References BUFLEN, error, gzclose(), gzerror(), gzwrite(), int, local, and Z_OK.

Referenced by file_compress(), and main().

void gz_uncompress | ( | gzFile | in,
|  | FILE * | out
| ) |  |

Definition at line 235 of file minigzip.c.

References BUFLEN, error, gzclose(), gzerror(), gzread(), local, and Z_OK.

Referenced by file_uncompress(), and main().

int main | ( | int | argc,
|  | argv |
| ) |  |

Definition at line 349 of file minigzip.c.

References error, file, file_compress(), file_uncompress(), gz_compress(), gz_uncompress(), gzdopen(), gzopen(), NULL, and SET_BINARY_MODE.

int unlink OF | ( | (const char *) |  | ) |

void error OF | ( | (const char *msg) |  | ) |

void gz_compress OF | ( | (FILE *in, gzFile out) |  | ) |

void gz_uncompress OF | ( | (gzFile in, FILE *out) |  | ) |

void file_compress OF | ( | (char *file, char *mode) |  | ) |

void file_uncompress OF | ( | (char *file) |  | ) |

int main OF | ( | (int argc, char *argv[]) |  | ) |

## Variable Documentation

char* prog

Definition at line 141 of file minigzip.c.